package model

import (
	"os"

	"gorm.io/gorm"
)

type UserRole struct {
	ID     int64 `gorm:"type:int(20);autoIncrement;comment:ID;" json:"id"`
	UserId int64 `gorm:"type:int(20);comment:用户ID;" json:"userId"`
	RoleId int64 `gorm:"type:int(20);comment:角色ID;" json:"roleId"`
	User   User  `gorm:"foreignKey:UserId;references:ID" json:"user"`
	Role   Role  `gorm:"foreignKey:RoleId;references:ID" json:"role"`
}

func (u *UserRole) AfterFind(tx *gorm.DB) (err error) {

	return
}

func (u *UserRole) TableName() string {
	dbPrefix := os.Getenv("DB_PREFIX")
	return dbPrefix + "user_role"
}
