package validators

type AuthUser struct {
	ID             int64    `json:"id"`             // 用户ID
	Account        string   `json:"account"`        // 账号
	Nickname       string   `json:"nickname"`       // 昵称
	FullPermission bool     `json:"fullPermission"` // 是否全权限覆盖
	RoleIds        []int64  `json:"roleIds"`        // 角色ID列表
	Permissions    []string `json:"permissions"`    // 权限KEY列表
	LoginAt        int64    `json:"loginAt"`        // 当前Token派发登录时间
}
